## ros-iron-rmf-building-map-tools 1.7.1

=== debian/changelog ===
ros-iron-rmf-building-map-tools (1.7.1-1jammy) jammy; urgency=high

  * Fix gz classic model download (#472 <https://github.com/open-rmf/rmf_traffic_editor/pull/472>)
  * Contributors: Aaron Chong

 -- Morgan Quigley <mquigley@openrobotics.org>  Wed, 09 Aug 2023 16:00:00 -0000

ros-iron-rmf-building-map-tools (1.7.0-1jammy) jammy; urgency=high

  * Switch to rst changelogs (#464 <https://github.com/open-rmf/rmf_traffic_editor/pull/464>)
  * Add texture for white wall (#463 <https://github.com/open-rmf/rmf_traffic_editor/pull/463>)
  * Fix navgraph generation for connected docking waypoints (#452 <https://github.com/open-rmf/rmf_traffic_editor/pull/452>)
  * Added 5 retries for model downloading failure (#455 <https://github.com/open-rmf/rmf_traffic_editor/pull/455>)
  * Migrate to using gzsim server url for fuel (#454 <https://github.com/open-rmf/rmf_traffic_editor/pull/454>)
  * Exiting model downloader with non-zero exit code (#453 <https://github.com/open-rmf/rmf_traffic_editor/pull/453>)
  * Contributors: Aaron Chong, Luca Della Vedova, Yadunund

 -- Morgan Quigley <mquigley@openrobotics.org>  Mon, 05 Jun 2023 16:00:00 -0000

ros-iron-rmf-building-map-tools (1.6.0-1jammy) jammy; urgency=high

  * Add Fuel tools dependency to rmf_building_map_tools (#444 <https://github.com/open-rmf/rmf_traffic_editor/pull/444>)
  * Fix building_map_server crashes when level scale is not defined (#442 <https://github.com/open-rmf/rmf_traffic_editor/pull/442>)
  * Fixed usage of download_models (#440 <https://github.com/open-rmf/rmf_traffic_editor/pull/440>)
  * remove usage of deprecated np.asscalar() (#438 <https://github.com/open-rmf/rmf_traffic_editor/pull/438>)
  * Added a dispensable field for models (#436 <https://github.com/open-rmf/rmf_traffic_editor/pull/436>)
  * Only offset camera pose for global coordinate building when a floor is present (#434 <https://github.com/open-rmf/rmf_traffic_editor/pull/434>)
  * Move to collections.abc for crowdsim (#432 <https://github.com/open-rmf/rmf_traffic_editor/pull/432>)
  * Contributors: Aaron Chong, Luca Della Vedova, Morgan Quigley, Yadunund

 -- Morgan Quigley <mquigley@openrobotics.org>  Tue, 04 Oct 2022 16:00:00 -0000

ros-iron-rmf-building-map-tools (1.5.1-1jammy) jammy; urgency=high

  * Floor information for floor toggling plugin in Ignition (#424)
  * Use the Ignition Gazebo floor visibility plugin when generating worlds.
  * navgraph visualizer (#426)
    * new verb for building_map_generator that will generate navgraph visualization OBJ files, which can then be dropped into a Gazebo simulation to help understand what's going on.
  * update versions of pure python packages
  * Contributors: Luca Della Vedova, Morgan Quigley

 -- Morgan Quigley <mquigley@openrobotics.org>  Tue, 19 Apr 2022 16:00:00 -0000

ros-iron-rmf-building-map-tools (1.5.0-1jammy) jammy; urgency=high

  * Always use ign=True and remove spaces when comparing model names (#412)
    * Always use ign=True and remove spaces when comparing model names
    * Pit crew makes model paths available, when checking for missing models, for exporting (#414)
    * Reverted the use of remove_spaces as model names with spaces are used for downloading models
  * if map_version is present, copy it into GeoJSON (#415)
  * Update package.xml (#406)
  * Feature: serve BuildingMap message when loading GeoJSON file in building_map_server (#404)
    * Create a BuildingMap message when serving from GeoJSON file
    * use RTree to speed up BuildingMap creation from GeoJSON
    * use reasonable default scale for Cartesian maps
    * add python3-rtree dependency to GitHub workflow
  * First steps towards GeoJSON (#403)
    * add GeoJSON support to building_map_server: to start, just vertices and lanes
    * compress GeoJSON output on-the-fly
    * add support for GeoJSON to building_map_converter, auto-detecting based on filename suffix
    * GeoJSON: include preferred projected CRS and suggested coordinate offset for simulation as top-level keys
    * sort GeoJSON keys in building map server for consistency in diffs
    * fix crash for non-geolocated/legacy maps
  * Cartesian worlds (y=up) and steps towards using GeoPackage (#396)
    * create passthrough transform for cartesian_meters coordinate systems
    * pass coordinate system to vertex draw, to flip text as needed
    * correct deprecated setuptools key to fix warning
    * Fix errors when building maps with lifts / crowdsim
    * add speed limit param to generated nav-graph files
    * add site_map publishing to building_map_server for cartesian maps
    * publish lane speed limits
    * Change loader to CLoader for performance improvement on large maps
    * on-the-fly geopackage generation for cartesian maps
    * add fiona Python package dependency to package.xml and CI workflow
    * building_map_converter to generate a GeoPackage from a cartesian YAML map
    * add top-level metadata for building/site params
    * fix geopackage metadata extraction for geopackage SiteMap server
    * use json instead of yaml for geopackage parameters
    * assign a nonsense CRS if one doesn't exist
    * Change Legacy -> ReferenceImage throughout code
  * fix lift model ele name conflict warning (#399)
  * Add speed limit to navgraph (#397)
  * Deprecate/http download (#395)
    * deprecate and remove http option
    * Add helpful warning
    * use argparse deprecation method
    * use function level variables
  * Use yaml-cpp CLoader and CDumper from Python for speed (#394)
    * use CLoader and CDumper to speed up YAML save/load times
  * Contributors: Charayaphan Nakorn Boon Han, Grey, Luca Della Vedova, Morgan Quigley, Yadu, youliang, Aaron Chong

 -- Morgan Quigley <mquigley@openrobotics.org>  Sat, 12 Mar 2022 16:00:00 -0000

ros-iron-rmf-building-map-tools (1.4.0-1jammy) jammy; urgency=high

  * Feature/map generator using global coordinates (#379 <https://github.com/open-rmf/rmf_traffic_editor/pull/379>)

