=== debian/control ===
Source: ros-iron-rmf-building-map-tools
Section: misc
Priority: optional
Maintainer: Morgan Quigley <mquigley@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), python3-pytest <!nocheck>, ros-iron-rmf-building-map-msgs, ros-iron-ros-workspace, python3-all, python3-setuptools, dh-python
Homepage: 
Standards-Version: 3.9.2

Package: ros-iron-rmf-building-map-tools
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, libignition-fuel-tools7-dev, libyaml-cpp-dev, python3-fiona, python3-pyproj, python3-requests, python3-rtree, python3-shapely, python3-yaml, ros-iron-ament-index-python, ros-iron-rclpy, ros-iron-rmf-building-map-msgs, ros-iron-rmf-site-map-msgs, ros-iron-std-msgs, sqlite3, ros-iron-ros-workspace
Description: RMF Building map tools
